Package Base Details: python-powerline-git

Git Clone URL: https://aur.archlinux.org/python-powerline-git.git (read-only)
Submitter: Lokaltog
Maintainer: gbs
Last Packager: gbs
Votes: 134
Popularity: 0.001314
First Submitted: 2013-01-23 07:28
Last Updated: 2018-10-10 20:08

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 Next › Last »

Lokaltog commented on 2013-07-31 13:54

The build error has been fixed in the latest revision.

0X1A commented on 2013-07-26 08:37

Getting failed build:
File "setup.py", line 11, in <module>
README = open(os.path.join(here, 'README.rst')).read()
File "/usr/lib/python3.3/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 40: ordinal not in range(128)

ndt commented on 2013-06-30 03:10

@demil133

I was surprised. Taking a look at the PKGBUILD for vim (Which is the same as the one for vim, suprisingly: https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/vim ) it sets the following:

--enable-pythoninterp \
--disable-python3interp \

I changed --disable there to --enable, built the package, and it worked. I have a custom PKGBUILD to do this now, but the AUR won't let me upload it because it is a bundle of packages.

Anonymous comment on 2013-06-29 00:40

@ndt: It's on the requirements, I think. You can, instead of compiling it yourself, just install gvim. It comes with the "huge" flag, which includes almost everything.

ndt commented on 2013-06-28 23:49

Do you have to compile Vim with python3 support for this to work in Vim? For me, Powerline for Vim crashed until I did that with this package.

HalosGhost commented on 2013-06-28 15:55

I added some quick pull requests to further clean up the package function.

All the best,

Lokaltog commented on 2013-06-28 12:16

The package has been updated to use the new VCS syntax. Let me know if you have any issues with the new PKGBUILD.

Lokaltog commented on 2013-06-21 22:58

I've read the comment. I'll update it as soon as I have time to review and test the PKGBUILD.

onny commented on 2013-06-20 19:33

Please upgrade your PKGBUILD according to @arielp hint.

HellSt0rm commented on 2013-06-10 11:50

Update of python-distribute and python2-distribute breaks powerline

Name Old Version New Version Net Change Download Size
extra/python-distribute 0.6.40-1 0.6.45-1 -0,04 MiB 0,37 MiB
extra/python2-distribute 0.6.40-1 0.6.45-1 -0,03 MiB 0,37 MiB

The powerline prompt is like this now:

ImportError: bad magic number in 'site': b'\x03\xf3\r\n'
ImportError: bad magic number in 'site': b'\x03\xf3\r\n'